/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
curl --request GET \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"dealIds": [
{
"dealIdentifier": "<string>",
"supplyVendorId": "<string>"
}
]
},
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
Get the Deal Id Targeting configuration for the ad set whose id is specified
GET
/
preview
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
targeting
/
deal-ids
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the Ad Set
Response
200 - application/json
the Deal Id Targeting configuration
Represents an API response message containing the usual outcome fields (warnings+errors), and a valueResource data, i.e. data is not an entity (no id). This can be used for association objects.
Was this page helpful?
⌘I